Skip to main content
GET
/
api
/
v1
/
wallet
/
trades
/
search
Search wallet trades
curl --request GET \
  --url https://mcp.echozero.app/api/v1/wallet/trades/search \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "data": {
    "results": [
      {
        "id": "<string>",
        "tokenName": "<string>",
        "tokenSymbol": "<string>",
        "tokenImage": "<string>",
        "status": "<string>",
        "type": "<string>",
        "positionValueUsd": 123,
        "tokenAmount": 123,
        "entryPrice": 123,
        "pnlUsd": 123,
        "pnlPercentage": 123,
        "isProfitable": true,
        "createdAt": "2023-11-07T05:31:56Z",
        "durationSeconds": 123,
        "durationText": "<string>",
        "isVirtual": true,
        "tradingPair": "<string>",
        "detailsUrl": "<string>",
        "botName": "<string>",
        "currentPrice": 123,
        "exitPrice": 123,
        "closedAt": "2023-11-07T05:31:56Z"
      }
    ],
    "totalCount": 123,
    "limit": 123,
    "offset": 123,
    "query": "<string>",
    "hasResults": true,
    "noResultsMessage": "<string>"
  }
}

Authorizations

x-api-key
string
header
required

Headers

x-signature
string

HMAC-SHA256 signature: HMAC-SHA256(secretKey, timestamp + METHOD + path + body). Optional -- when omitted, HMAC verification is skipped.

x-timestamp
string

Request timestamp in epoch milliseconds. Required when x-signature is provided. Rejected if drift exceeds 5 minutes.

Query Parameters

query
string
required

Search by token name or bot name

limit
number
default:20
offset
number
default:0
isActive
boolean

Filter to active trades only (omit for all)

Response

200 - application/json

Search results.

success
boolean
required
Example:

true

data
object
required

Endpoint-specific payload